Package org.zkoss.stateless.sul

## Interface IFisheye

- All Superinterfaces:
    `IChildrenOfInputgroup<IFisheye>`, `IComponent<IFisheye>`, `IHtmlBasedComponent<IFisheye>`, `ILabelElement<IFisheye>`, `ILabelImageElement<IFisheye>`, `IXulElement<IFisheye>`

      public interface IFisheye
      extends ILabelImageElement<IFisheye>

  Immutable `Fisheye` component.

  A fisheye item.

  Author:
    jumperchen
  See Also:
    `Fisheye`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IFisheye.Builder` | Builds instances of type `IFisheye`.
    `static class` | `IFisheye.Updater` | Builds an updater of type `IFisheye` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IFisheye` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getHeight()` | Returns the height of the component.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default java.lang.String` | `getWidth()` | Returns the width of the component.
    `static IFisheye` | `of​(java.lang.String label)` | Returns the instance with the given label.
    `static IFisheye` | `of​(java.lang.String label, java.lang.String image)` | Returns the instance with the given label and image.
    `static IFisheye` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static IFisheye` | `ofImage​(java.lang.String image)` | Returns the instance with the given image.
    `default IFisheye` | `withHeight​(java.lang.String height)` | This method is unsupported.
    `default IFisheye` | `withWidth​(java.lang.String width)` | This method is unsupported.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILabelElement

      `getLabel, withLabel`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILabelImageElement

      `getHoverImage, getIconSclass, getIconSclasses, getIconTooltip, getIconTooltips, getImage, isPreloadImage, withHoverImage, withIconSclass, withIconSclasses, withIconTooltip, withIconTooltips, withImage, withPreloadImage`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IFisheye DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidth

          @Derived
          @Nullable
          default java.lang.String getWidth()

      Description copied from interface: `IHtmlBasedComponent`
      Returns the width of the component. If not specified, `null` is assumed.

      Default: `null`

      Specified by:
        `getWidth` in interface `IHtmlBasedComponent<IFisheye>`

    - #### withWidth

          default IFisheye withWidth​(java.lang.String width)

      This method is unsupported. Please use `IFisheyebar.withItemWidth(int)` instead.
      Specified by:
        `withWidth` in interface `IHtmlBasedComponent<IFisheye>`
      Parameters:
        `width` - The width of the component.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getHeight

          @Derived
          @Nullable
          default java.lang.String getHeight()

      Description copied from interface: `IHtmlBasedComponent`
      Returns the height of the component. If not specified, `null` is assumed.

      Default: `null`

      Specified by:
        `getHeight` in interface `IHtmlBasedComponent<IFisheye>`

    - #### withHeight

          default IFisheye withHeight​(java.lang.String height)

      This method is unsupported. Please use `IFisheyebar.withItemHeight(int)` instead.
      Specified by:
        `withHeight` in interface `IHtmlBasedComponent<IFisheye>`
      Parameters:
        `height` - The height of the component.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.menu.Fisheye"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IFisheye>`

    - #### of

          static IFisheye of​(java.lang.String label)

      Returns the instance with the given label.
      Parameters:
        `label` - The label that the component holds.

    - #### of

          static IFisheye of​(java.lang.String label,
                             java.lang.String image)

      Returns the instance with the given label and image.
      Parameters:
        `label` - The label that the component holds.
        `image` - The image that the component holds.

    - #### ofImage

          static IFisheye ofImage​(java.lang.String image)

      Returns the instance with the given image.
      Parameters:
        `image` - The image that the component holds.

    - #### ofId

          static IFisheye ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component